1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14ac_help="$ac_help
15  --with-tcl              directory containing tcl configuration (tclConfig.sh)"
16ac_help="$ac_help
17  --with-tk               directory containing tk configuration (tkConfig.sh)"
18ac_help="$ac_help
19  --with-itcl=DIR         use Itcl 3.0 binaries from DIR"
20
21# Initialize some variables set by options.
22# The variables have the same names as the options, with
23# dashes changed to underlines.
24build=NONE
25cache_file=./config.cache
26exec_prefix=NONE
27host=NONE
28no_create=
29nonopt=NONE
30no_recursion=
31prefix=NONE
32program_prefix=NONE
33program_suffix=NONE
34program_transform_name=s,x,x,
35silent=
36site=
37srcdir=
38target=NONE
39verbose=
40x_includes=NONE
41x_libraries=NONE
42bindir='${exec_prefix}/bin'
43sbindir='${exec_prefix}/sbin'
44libexecdir='${exec_prefix}/libexec'
45datadir='${prefix}/share'
46sysconfdir='${prefix}/etc'
47sharedstatedir='${prefix}/com'
48localstatedir='${prefix}/var'
49libdir='${exec_prefix}/lib'
50includedir='${prefix}/include'
51oldincludedir='/usr/include'
52infodir='${prefix}/info'
53mandir='${prefix}/man'
54
55# Initialize some other variables.
56subdirs=
57MFLAGS= MAKEFLAGS=
58SHELL=${CONFIG_SHELL-/bin/sh}
59# Maximum number of lines to put in a shell here document.
60ac_max_here_lines=12
61
62ac_prev=
63for ac_option
64do
65
66  # If the previous option needs an argument, assign it.
67  if test -n "$ac_prev"; then
68    eval "$ac_prev=\$ac_option"
69    ac_prev=
70    continue
71  fi
72
73  case "$ac_option" in
74  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
75  *) ac_optarg= ;;
76  esac
77
78  # Accept the important Cygnus configure options, so we can diagnose typos.
79
80  case "$ac_option" in
81
82  -bindir | --bindir | --bindi | --bind | --bin | --bi)
83    ac_prev=bindir ;;
84  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
85    bindir="$ac_optarg" ;;
86
87  -build | --build | --buil | --bui | --bu)
88    ac_prev=build ;;
89  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
90    build="$ac_optarg" ;;
91
92  -cache-file | --cache-file | --cache-fil | --cache-fi \
93  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
94    ac_prev=cache_file ;;
95  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
96  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
97    cache_file="$ac_optarg" ;;
98
99  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
100    ac_prev=datadir ;;
101  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
102  | --da=*)
103    datadir="$ac_optarg" ;;
104
105  -disable-* | --disable-*)
106    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
107    # Reject names that are not valid shell variable names.
108    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
109      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
110    fi
111    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
112    eval "enable_${ac_feature}=no" ;;
113
114  -enable-* | --enable-*)
115    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
116    # Reject names that are not valid shell variable names.
117    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
118      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
119    fi
120    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
121    case "$ac_option" in
122      *=*) ;;
123      *) ac_optarg=yes ;;
124    esac
125    eval "enable_${ac_feature}='$ac_optarg'" ;;
126
127  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
128  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
129  | --exec | --exe | --ex)
130    ac_prev=exec_prefix ;;
131  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
132  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
133  | --exec=* | --exe=* | --ex=*)
134    exec_prefix="$ac_optarg" ;;
135
136  -gas | --gas | --ga | --g)
137    # Obsolete; use --with-gas.
138    with_gas=yes ;;
139
140  -help | --help | --hel | --he)
141    # Omit some internal or obsolete options to make the list less imposing.
142    # This message is too long to be a string in the A/UX 3.1 sh.
143    cat << EOF
144Usage: configure [options] [host]
145Options: [defaults in brackets after descriptions]
146Configuration:
147  --cache-file=FILE       cache test results in FILE
148  --help                  print this message
149  --no-create             do not create output files
150  --quiet, --silent       do not print \`checking...' messages
151  --version               print the version of autoconf that created configure
152Directory and file names:
153  --prefix=PREFIX         install architecture-independent files in PREFIX
154                          [$ac_default_prefix]
155  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
156                          [same as prefix]
157  --bindir=DIR            user executables in DIR [EPREFIX/bin]
158  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
159  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
160  --datadir=DIR           read-only architecture-independent data in DIR
161                          [PREFIX/share]
162  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
163  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
164                          [PREFIX/com]
165  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
166  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
167  --includedir=DIR        C header files in DIR [PREFIX/include]
168  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
169  --infodir=DIR           info documentation in DIR [PREFIX/info]
170  --mandir=DIR            man documentation in DIR [PREFIX/man]
171  --srcdir=DIR            find the sources in DIR [configure dir or ..]
172  --program-prefix=PREFIX prepend PREFIX to installed program names
173  --program-suffix=SUFFIX append SUFFIX to installed program names
174  --program-transform-name=PROGRAM
175                          run sed PROGRAM on installed program names
176EOF
177    cat << EOF
178Host type:
179  --build=BUILD           configure for building on BUILD [BUILD=HOST]
180  --host=HOST             configure for HOST [guessed]
181  --target=TARGET         configure for TARGET [TARGET=HOST]
182Features and packages:
183  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
184  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
185  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
186  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
187  --x-includes=DIR        X include files are in DIR
188  --x-libraries=DIR       X library files are in DIR
189EOF
190    if test -n "$ac_help"; then
191      echo "--enable and --with options recognized:$ac_help"
192    fi
193    exit 0 ;;
194
195  -host | --host | --hos | --ho)
196    ac_prev=host ;;
197  -host=* | --host=* | --hos=* | --ho=*)
198    host="$ac_optarg" ;;
199
200  -includedir | --includedir | --includedi | --included | --include \
201  | --includ | --inclu | --incl | --inc)
202    ac_prev=includedir ;;
203  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
204  | --includ=* | --inclu=* | --incl=* | --inc=*)
205    includedir="$ac_optarg" ;;
206
207  -infodir | --infodir | --infodi | --infod | --info | --inf)
208    ac_prev=infodir ;;
209  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
210    infodir="$ac_optarg" ;;
211
212  -libdir | --libdir | --libdi | --libd)
213    ac_prev=libdir ;;
214  -libdir=* | --libdir=* | --libdi=* | --libd=*)
215    libdir="$ac_optarg" ;;
216
217  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
218  | --libexe | --libex | --libe)
219    ac_prev=libexecdir ;;
220  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
221  | --libexe=* | --libex=* | --libe=*)
222    libexecdir="$ac_optarg" ;;
223
224  -localstatedir | --localstatedir | --localstatedi | --localstated \
225  | --localstate | --localstat | --localsta | --localst \
226  | --locals | --local | --loca | --loc | --lo)
227    ac_prev=localstatedir ;;
228  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
229  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
230  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
231    localstatedir="$ac_optarg" ;;
232
233  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
234    ac_prev=mandir ;;
235  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
236    mandir="$ac_optarg" ;;
237
238  -nfp | --nfp | --nf)
239    # Obsolete; use --without-fp.
240    with_fp=no ;;
241
242  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
243  | --no-cr | --no-c)
244    no_create=yes ;;
245
246  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
247  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
248    no_recursion=yes ;;
249
250  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
251  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
252  | --oldin | --oldi | --old | --ol | --o)
253    ac_prev=oldincludedir ;;
254  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
255  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
256  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
257    oldincludedir="$ac_optarg" ;;
258
259  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
260    ac_prev=prefix ;;
261  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
262    prefix="$ac_optarg" ;;
263
264  -program-prefix | --program-prefix | --program-prefi | --program-pref \
265  | --program-pre | --program-pr | --program-p)
266    ac_prev=program_prefix ;;
267  -program-prefix=* | --program-prefix=* | --program-prefi=* \
268  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
269    program_prefix="$ac_optarg" ;;
270
271  -program-suffix | --program-suffix | --program-suffi | --program-suff \
272  | --program-suf | --program-su | --program-s)
273    ac_prev=program_suffix ;;
274  -program-suffix=* | --program-suffix=* | --program-suffi=* \
275  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
276    program_suffix="$ac_optarg" ;;
277
278  -program-transform-name | --program-transform-name \
279  | --program-transform-nam | --program-transform-na \
280  | --program-transform-n | --program-transform- \
281  | --program-transform | --program-transfor \
282  | --program-transfo | --program-transf \
283  | --program-trans | --program-tran \
284  | --progr-tra | --program-tr | --program-t)
285    ac_prev=program_transform_name ;;
286  -program-transform-name=* | --program-transform-name=* \
287  | --program-transform-nam=* | --program-transform-na=* \
288  | --program-transform-n=* | --program-transform-=* \
289  | --program-transform=* | --program-transfor=* \
290  | --program-transfo=* | --program-transf=* \
291  | --program-trans=* | --program-tran=* \
292  | --progr-tra=* | --program-tr=* | --program-t=*)
293    program_transform_name="$ac_optarg" ;;
294
295  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
296  | -silent | --silent | --silen | --sile | --sil)
297    silent=yes ;;
298
299  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
300    ac_prev=sbindir ;;
301  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
302  | --sbi=* | --sb=*)
303    sbindir="$ac_optarg" ;;
304
305  -sharedstatedir | --sharedstatedir | --sharedstatedi \
306  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
307  | --sharedst | --shareds | --shared | --share | --shar \
308  | --sha | --sh)
309    ac_prev=sharedstatedir ;;
310  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
311  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
312  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
313  | --sha=* | --sh=*)
314    sharedstatedir="$ac_optarg" ;;
315
316  -site | --site | --sit)
317    ac_prev=site ;;
318  -site=* | --site=* | --sit=*)
319    site="$ac_optarg" ;;
320
321  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
322    ac_prev=srcdir ;;
323  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
324    srcdir="$ac_optarg" ;;
325
326  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
327  | --syscon | --sysco | --sysc | --sys | --sy)
328    ac_prev=sysconfdir ;;
329  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
330  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
331    sysconfdir="$ac_optarg" ;;
332
333  -target | --target | --targe | --targ | --tar | --ta | --t)
334    ac_prev=target ;;
335  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
336    target="$ac_optarg" ;;
337
338  -v | -verbose | --verbose | --verbos | --verbo | --verb)
339    verbose=yes ;;
340
341  -version | --version | --versio | --versi | --vers)
342    echo "configure generated by autoconf version 2.13"
343    exit 0 ;;
344
345  -with-* | --with-*)
346    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
347    # Reject names that are not valid shell variable names.
348    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
349      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
350    fi
351    ac_package=`echo $ac_package| sed 's/-/_/g'`
352    case "$ac_option" in
353      *=*) ;;
354      *) ac_optarg=yes ;;
355    esac
356    eval "with_${ac_package}='$ac_optarg'" ;;
357
358  -without-* | --without-*)
359    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
360    # Reject names that are not valid shell variable names.
361    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
362      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
363    fi
364    ac_package=`echo $ac_package| sed 's/-/_/g'`
365    eval "with_${ac_package}=no" ;;
366
367  --x)
368    # Obsolete; use --with-x.
369    with_x=yes ;;
370
371  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
372  | --x-incl | --x-inc | --x-in | --x-i)
373    ac_prev=x_includes ;;
374  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
375  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
376    x_includes="$ac_optarg" ;;
377
378  -x-libraries | --x-libraries | --x-librarie | --x-librari \
379  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
380    ac_prev=x_libraries ;;
381  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
382  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
383    x_libraries="$ac_optarg" ;;
384
385  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
386    ;;
387
388  *)
389    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
390      echo "configure: warning: $ac_option: invalid host type" 1>&2
391    fi
392    if test "x$nonopt" != xNONE; then
393      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
394    fi
395    nonopt="$ac_option"
396    ;;
397
398  esac
399done
400
401if test -n "$ac_prev"; then
402  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
403fi
404
405trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
406
407# File descriptor usage:
408# 0 standard input
409# 1 file creation
410# 2 errors and warnings
411# 3 some systems may open it to /dev/tty
412# 4 used on the Kubota Titan
413# 6 checking for... messages and results
414# 5 compiler messages saved in config.log
415if test "$silent" = yes; then
416  exec 6>/dev/null
417else
418  exec 6>&1
419fi
420exec 5>./config.log
421
422echo "\
423This file contains any messages produced by compilers while
424running configure, to aid debugging if configure makes a mistake.
425" 1>&5
426
427# Strip out --no-create and --no-recursion so they do not pile up.
428# Also quote any args containing shell metacharacters.
429ac_configure_args=
430for ac_arg
431do
432  case "$ac_arg" in
433  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
434  | --no-cr | --no-c) ;;
435  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
436  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
437  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
438  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
439  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
440  esac
441done
442
443# NLS nuisances.
444# Only set these to C if already set.  These must not be set unconditionally
445# because not all systems understand e.g. LANG=C (notably SCO).
446# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
447# Non-C LC_CTYPE values break the ctype check.
448if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
449if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
450if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
451if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
452
453# confdefs.h avoids OS command line length limits that DEFS can exceed.
454rm -rf conftest* confdefs.h
455# AIX cpp loses on an empty file, so make sure it contains at least a newline.
456echo > confdefs.h
457
458# A filename unique to this package, relative to the directory that
459# configure is in, which we can look for to find out if srcdir is correct.
460ac_unique_file=generic/buttonbox.itk
461
462# Find the source files, if location was not specified.
463if test -z "$srcdir"; then
464  ac_srcdir_defaulted=yes
465  # Try the directory containing this script, then its parent.
466  ac_prog=$0
467  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
468  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
469  srcdir=$ac_confdir
470  if test ! -r $srcdir/$ac_unique_file; then
471    srcdir=..
472  fi
473else
474  ac_srcdir_defaulted=no
475fi
476if test ! -r $srcdir/$ac_unique_file; then
477  if test "$ac_srcdir_defaulted" = yes; then
478    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
479  else
480    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
481  fi
482fi
483srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
484
485# Prefer explicitly selected file to automatically selected ones.
486if test -z "$CONFIG_SITE"; then
487  if test "x$prefix" != xNONE; then
488    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
489  else
490    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
491  fi
492fi
493for ac_site_file in $CONFIG_SITE; do
494  if test -r "$ac_site_file"; then
495    echo "loading site script $ac_site_file"
496    . "$ac_site_file"
497  fi
498done
499
500if test -r "$cache_file"; then
501  echo "loading cache $cache_file"
502  . $cache_file
503else
504  echo "creating cache $cache_file"
505  > $cache_file
506fi
507
508ac_ext=c
509# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
510ac_cpp='$CPP $CPPFLAGS'
511ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
512ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
513cross_compiling=$ac_cv_prog_cc_cross
514
515ac_exeext=
516ac_objext=o
517if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
518  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
519  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
520    ac_n= ac_c='
521' ac_t='	'
522  else
523    ac_n=-n ac_c= ac_t=
524  fi
525else
526  ac_n= ac_c='\c' ac_t=
527fi
528
529
530# RCS: $Id: configure,v 1.18 2001/11/29 20:51:34 smithc Exp $
531
532ITCL_VERSION=3.2
533
534
535PACKAGE=iwidgets
536MAJOR_VERSION=4
537MINOR_VERSION=0
538PATCHLEVEL=.1
539
540VERSION=${MAJOR_VERSION}.${MINOR_VERSION}${PATCHLEVEL}
541IWIDGETS_SRC_DIR=`pwd`
542
543
544
545
546
547
548case "`uname -s`" in
549    *win32* | *WIN32* | *CYGWIN_NT*|*CYGWIN_98*|*CYGWIN_95*)
550	CYGPATH="cygpath -w"
551	RELPATH=".. .. bin"
552    ;;
553    *)
554	CYGPATH=echo
555	RELPATH=..
556    ;;
557esac
558
559
560
561
562#--------------------------------------------------------------------
563#   See if there was a command-line option for where Tcl is;  if
564#   not, search for Tcl.
565#--------------------------------------------------------------------
566
567
568    #
569    # Ok, lets find the tcl configuration
570    # First, look for one uninstalled.
571    # the alternative search directory is invoked by --with-tcl
572    #
573
574    if test x"${no_tcl}" = x ; then
575	# we reset no_tcl in case something fails here
576	no_tcl=true
577	# Check whether --with-tcl or --without-tcl was given.
578if test "${with_tcl+set}" = set; then
579  withval="$with_tcl"
580  with_tclconfig=${withval}
581fi
582
583	echo $ac_n "checking for Tcl configuration""... $ac_c" 1>&6
584echo "configure:585: checking for Tcl configuration" >&5
585	if eval "test \"`echo '$''{'ac_cv_c_tclconfig'+set}'`\" = set"; then
586  echo $ac_n "(cached) $ac_c" 1>&6
587else
588
589
590	    # First check to see if --with-tcl was specified.
591	    if test x"${with_tclconfig}" != x ; then
592		if test -f "${with_tclconfig}/tclConfig.sh" ; then
593		    ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
594		else
595		    { echo "configure: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" 1>&2; exit 1; }
596		fi
597	    fi
598
599	    # then check for a private Tcl installation
600	    if test x"${ac_cv_c_tclconfig}" = x ; then
601		for i in \
602			../tcl \
603			`ls -dr ../tcl[8-9].[0-9]* 2>/dev/null` \
604			../../tcl \
605			`ls -dr ../../tcl[8-9].[0-9]* 2>/dev/null` \
606			../../../tcl \
607			`ls -dr ../../../tcl[8-9].[0-9]* 2>/dev/null` ; do
608		    if test -f "$i/unix/tclConfig.sh" ; then
609			ac_cv_c_tclconfig=`(cd $i/unix; pwd)`
610			break
611		    fi
612		done
613	    fi
614
615	    # check in a few common install locations
616	    if test x"${ac_cv_c_tclconfig}" = x ; then
617		for i in `ls -d ${prefix}/lib 2>/dev/null` \
618			`ls -d /usr/local/lib 2>/dev/null` ; do
619		    if test -f "$i/tclConfig.sh" ; then
620			ac_cv_c_tclconfig=`(cd $i; pwd)`
621			break
622		    fi
623		done
624	    fi
625
626	    # check in a few other private locations
627	    if test x"${ac_cv_c_tclconfig}" = x ; then
628		for i in \
629			${srcdir}/../tcl \
630			`ls -dr ${srcdir}/../tcl[8-9].[0-9]* 2>/dev/null` ; do
631		    if test -f "$i/unix/tclConfig.sh" ; then
632		    ac_cv_c_tclconfig=`(cd $i/unix; pwd)`
633		    break
634		fi
635		done
636	    fi
637
638fi
639
640
641	if test x"${ac_cv_c_tclconfig}" = x ; then
642	    TCL_BIN_DIR="# no Tcl configs found"
643	    echo "configure: warning: Can't find Tcl configuration definitions" 1>&2
644	    exit 0
645	else
646	    no_tcl=
647	    TCL_BIN_DIR=${ac_cv_c_tclconfig}
648	    echo "$ac_t""found $TCL_BIN_DIR/tclConfig.sh" 1>&6
649	fi
650    fi
651
652
653    echo $ac_n "checking for existence of $TCL_BIN_DIR/tclConfig.sh""... $ac_c" 1>&6
654echo "configure:655: checking for existence of $TCL_BIN_DIR/tclConfig.sh" >&5
655
656    if test -f "$TCL_BIN_DIR/tclConfig.sh" ; then
657        echo "$ac_t""loading" 1>&6
658	. $TCL_BIN_DIR/tclConfig.sh
659    else
660        echo "$ac_t""file not found" 1>&6
661    fi
662
663    #
664    # The eval is required to do the TCL_DBGX substitution in the
665    # TCL_LIB_FILE variable
666    #
667
668    eval TCL_LIB_FILE=${TCL_LIB_FILE}
669    eval TCL_LIB_FLAG=${TCL_LIB_FLAG}
670
671
672
673
674
675
676
677
678
679
680
681
682
683
684
685
686
687
688#--------------------------------------------------------------------
689#   See if there was a command-line option for where Tk is;  if
690#   not, search for Tk.
691#--------------------------------------------------------------------
692
693
694    #
695    # Ok, lets find the tk configuration
696    # First, look for one uninstalled.
697    # the alternative search directory is invoked by --with-tk
698    #
699
700    if test x"${no_tk}" = x ; then
701	# we reset no_tk in case something fails here
702	no_tk=true
703	# Check whether --with-tk or --without-tk was given.
704if test "${with_tk+set}" = set; then
705  withval="$with_tk"
706  with_tkconfig=${withval}
707fi
708
709	echo $ac_n "checking for Tk configuration""... $ac_c" 1>&6
710echo "configure:711: checking for Tk configuration" >&5
711	if eval "test \"`echo '$''{'ac_cv_c_tkconfig'+set}'`\" = set"; then
712  echo $ac_n "(cached) $ac_c" 1>&6
713else
714
715
716	    # First check to see if --with-tkconfig was specified.
717	    if test x"${with_tkconfig}" != x ; then
718		if test -f "${with_tkconfig}/tkConfig.sh" ; then
719		    ac_cv_c_tkconfig=`(cd ${with_tkconfig}; pwd)`
720		else
721		    { echo "configure: error: ${with_tkconfig} directory doesn't contain tkConfig.sh" 1>&2; exit 1; }
722		fi
723	    fi
724
725	    # then check for a private Tk library
726	    if test x"${ac_cv_c_tkconfig}" = x ; then
727		for i in \
728			../tk \
729			`ls -dr ../tk[8-9].[0-9]* 2>/dev/null` \
730			../../tk \
731			`ls -dr ../../tk[8-9].[0-9]* 2>/dev/null` \
732			../../../tk \
733			`ls -dr ../../../tk[8-9].[0-9]* 2>/dev/null` ; do
734		    if test -f "$i/unix/tkConfig.sh" ; then
735			ac_cv_c_tkconfig=`(cd $i/unix; pwd)`
736			break
737		    fi
738		done
739	    fi
740	    # check in a few common install locations
741	    if test x"${ac_cv_c_tkconfig}" = x ; then
742		for i in `ls -d ${prefix}/lib 2>/dev/null` \
743			`ls -d /usr/local/lib 2>/dev/null` ; do
744		    if test -f "$i/tkConfig.sh" ; then
745			ac_cv_c_tkconfig=`(cd $i; pwd)`
746			break
747		    fi
748		done
749	    fi
750	    # check in a few other private locations
751	    if test x"${ac_cv_c_tkconfig}" = x ; then
752		for i in \
753			${srcdir}/../tk \
754			`ls -dr ${srcdir}/../tk[8-9].[0-9]* 2>/dev/null` ; do
755		    if test -f "$i/unix/tkConfig.sh" ; then
756			ac_cv_c_tkconfig=`(cd $i/unix; pwd)`
757			break
758		    fi
759		done
760	    fi
761
762fi
763
764	if test x"${ac_cv_c_tkconfig}" = x ; then
765	    TK_BIN_DIR="# no Tk configs found"
766	    echo "configure: warning: Can't find Tk configuration definitions" 1>&2
767	    exit 0
768	else
769	    no_tk=
770	    TK_BIN_DIR=${ac_cv_c_tkconfig}
771	    echo "$ac_t""found $TK_BIN_DIR/tkConfig.sh" 1>&6
772	fi
773    fi
774
775
776
777    echo $ac_n "checking for existence of $TK_BIN_DIR/tkConfig.sh""... $ac_c" 1>&6
778echo "configure:779: checking for existence of $TK_BIN_DIR/tkConfig.sh" >&5
779
780    if test -f "$TK_BIN_DIR/tkConfig.sh" ; then
781        echo "$ac_t""loading" 1>&6
782	. $TK_BIN_DIR/tkConfig.sh
783    else
784        echo "$ac_t""could not find $TK_BIN_DIR/tkConfig.sh" 1>&6
785    fi
786
787
788
789
790
791
792
793#--------------------------------------------------------------------
794# See if --with-itcl was specified to give the [incr Tcl] and [incr Tk]
795# source code location.  If not, then we'll assume that the Iwidgets
796# package is being installed directly beneath the toplevel Itcl directory.
797#--------------------------------------------------------------------
798
799# Check whether --with-itcl or --without-itcl was given.
800if test "${with_itcl+set}" = set; then
801  withval="$with_itcl"
802  itcl_search=$withval
803else
804  itcl_search=`cd ${IWIDGETS_SRC_DIR}/..; pwd`
805fi
806
807
808ITCL_LIB_DIR=""
809if test -r $itcl_search/itcl/library/itcl.tcl; then
810    if test -r $itcl_search/itk/library/itk.tcl; then
811        if test -r $itcl_search/config/mkinstalldirs; then
812            ITCL_LIB_DIR=$itcl_search/itcl/library
813            ITCL_SRC_DIR=$itcl_search/itcl
814            ITK_LIB_DIR=$itcl_search/itk/library
815            ITK_SRC_DIR=$itcl_search/itk
816        fi
817    fi
818fi
819
820#--------------------------------------------------------------------
821#   Needed for running the test suite
822#--------------------------------------------------------------------
823
824
825    echo $ac_n "checking for tclsh""... $ac_c" 1>&6
826echo "configure:832: checking for tclsh" >&5
827
828    if eval "test \"`echo '$''{'ac_cv_path_tclsh'+set}'`\" = set"; then
829  echo $ac_n "(cached) $ac_c" 1>&6
830else
831
832	search_path=`echo ${exec_prefix}/bin:${prefix}/bin:${TCL_BIN_DIR}:${TCL_BIN_DIR}/../bin:${PATH} | sed -e 's/:/ /g'`
833	for dir in $search_path ; do
834	    for j in `ls -r $dir/tclsh[8-9]*${EXEEXT} 2> /dev/null` \
835		    `ls -r $dir/tclsh*${EXEEXT} 2> /dev/null` ; do
836		if test x"$ac_cv_path_tclsh" = x ; then
837		    if test -f "$j" ; then
838			ac_cv_path_tclsh=$j
839			break
840		    fi
841		fi
842	    done
843	done
844
845fi
846
847
848    if test -f "$ac_cv_path_tclsh" ; then
849	TCLSH_PROG=$ac_cv_path_tclsh
850	echo "$ac_t""$TCLSH_PROG" 1>&6
851    else
852	{ echo "configure: error: No tclsh found in PATH:  $search_path" 1>&2; exit 1; }
853    fi
854
855
856
857#--------------------------------------------------------------------
858#   Fill in template files with the proper info.
859#--------------------------------------------------------------------
860
861
862
863
864
865
866
867
868trap '' 1 2 15
869cat > confcache <<\EOF
870# This file is a shell script that caches the results of configure
871# tests run on this system so they can be shared between configure
872# scripts and configure runs.  It is not useful on other systems.
873# If it contains results you don't want to keep, you may remove or edit it.
874#
875# By default, configure uses ./config.cache as the cache file,
876# creating it if it does not exist already.  You can give configure
877# the --cache-file=FILE option to use a different cache file; that is
878# what configure does when it calls configure scripts in
879# subdirectories, so they share the cache.
880# Giving --cache-file=/dev/null disables caching, for debugging configure.
881# config.status only pays attention to the cache file if you give it the
882# --recheck option to rerun configure.
883#
884EOF
885# The following way of writing the cache mishandles newlines in values,
886# but we know of no workaround that is simple, portable, and efficient.
887# So, don't put newlines in cache variables' values.
888# Ultrix sh set writes to stderr and can't be redirected directly,
889# and sets the high bit in the cache file unless we assign to the vars.
890(set) 2>&1 |
891  case `(ac_space=' '; set | grep ac_space) 2>&1` in
892  *ac_space=\ *)
893    # `set' does not quote correctly, so add quotes (double-quote substitution
894    # turns \\\\ into \\, and sed turns \\ into \).
895    sed -n \
896      -e "s/'/'\\\\''/g" \
897      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
898    ;;
899  *)
900    # `set' quotes correctly as required by POSIX, so do not add quotes.
901    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
902    ;;
903  esac >> confcache
904if cmp -s $cache_file confcache; then
905  :
906else
907  if test -w $cache_file; then
908    echo "updating cache $cache_file"
909    cat confcache > $cache_file
910  else
911    echo "not updating unwritable cache $cache_file"
912  fi
913fi
914rm -f confcache
915
916trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
917
918test "x$prefix" = xNONE && prefix=$ac_default_prefix
919# Let make expand exec_prefix.
920test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
921
922# Any assignment to VPATH causes Sun make to only execute
923# the first set of double-colon rules, so remove it if not needed.
924# If there is a colon in the path, we need to keep it.
925if test "x$srcdir" = x.; then
926  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
927fi
928
929trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
930
931# Transform confdefs.h into DEFS.
932# Protect against shell expansion while executing Makefile rules.
933# Protect against Makefile macro expansion.
934cat > conftest.defs <<\EOF
935s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
936s%[ 	`~#$^&*(){}\\|;'"<>?]%\\&%g
937s%\[%\\&%g
938s%\]%\\&%g
939s%\$%$$%g
940EOF
941DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
942rm -f conftest.defs
943
944
945# Without the "./", some shells look in PATH for config.status.
946: ${CONFIG_STATUS=./config.status}
947
948echo creating $CONFIG_STATUS
949rm -f $CONFIG_STATUS
950cat > $CONFIG_STATUS <<EOF
951#! /bin/sh
952# Generated automatically by configure.
953# Run this file to recreate the current configuration.
954# This directory was configured as follows,
955# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
956#
957# $0 $ac_configure_args
958#
959# Compiler output produced by configure, useful for debugging
960# configure, is in ./config.log if it exists.
961
962ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
963for ac_option
964do
965  case "\$ac_option" in
966  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
967    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
968    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
969  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
970    echo "$CONFIG_STATUS generated by autoconf version 2.13"
971    exit 0 ;;
972  -help | --help | --hel | --he | --h)
973    echo "\$ac_cs_usage"; exit 0 ;;
974  *) echo "\$ac_cs_usage"; exit 1 ;;
975  esac
976done
977
978ac_given_srcdir=$srcdir
979
980trap 'rm -fr `echo "Makefile \
981	iwidgets.tcl \
982	pkgIndex.tcl" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
983EOF
984cat >> $CONFIG_STATUS <<EOF
985
986# Protect against being on the right side of a sed subst in config.status.
987sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
988 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
989$ac_vpsub
990$extrasub
991s%@SHELL@%$SHELL%g
992s%@CFLAGS@%$CFLAGS%g
993s%@CPPFLAGS@%$CPPFLAGS%g
994s%@CXXFLAGS@%$CXXFLAGS%g
995s%@FFLAGS@%$FFLAGS%g
996s%@DEFS@%$DEFS%g
997s%@LDFLAGS@%$LDFLAGS%g
998s%@LIBS@%$LIBS%g
999s%@exec_prefix@%$exec_prefix%g
1000s%@prefix@%$prefix%g
1001s%@program_transform_name@%$program_transform_name%g
1002s%@bindir@%$bindir%g
1003s%@sbindir@%$sbindir%g
1004s%@libexecdir@%$libexecdir%g
1005s%@datadir@%$datadir%g
1006s%@sysconfdir@%$sysconfdir%g
1007s%@sharedstatedir@%$sharedstatedir%g
1008s%@localstatedir@%$localstatedir%g
1009s%@libdir@%$libdir%g
1010s%@includedir@%$includedir%g
1011s%@oldincludedir@%$oldincludedir%g
1012s%@infodir@%$infodir%g
1013s%@mandir@%$mandir%g
1014s%@ITCL_VERSION@%$ITCL_VERSION%g
1015s%@PACKAGE@%$PACKAGE%g
1016s%@VERSION@%$VERSION%g
1017s%@CYGPATH@%$CYGPATH%g
1018s%@RELPATH@%$RELPATH%g
1019s%@TCL_DBGX@%$TCL_DBGX%g
1020s%@TCL_BIN_DIR@%$TCL_BIN_DIR%g
1021s%@TCL_SRC_DIR@%$TCL_SRC_DIR%g
1022s%@TCL_LIB_FILE@%$TCL_LIB_FILE%g
1023s%@TCL_LIBS@%$TCL_LIBS%g
1024s%@TCL_DEFS@%$TCL_DEFS%g
1025s%@TCL_SHLIB_LD_LIBS@%$TCL_SHLIB_LD_LIBS%g
1026s%@TCL_EXTRA_CFLAGS@%$TCL_EXTRA_CFLAGS%g
1027s%@TCL_LD_FLAGS@%$TCL_LD_FLAGS%g
1028s%@TCL_STUB_LIB_FILE@%$TCL_STUB_LIB_FILE%g
1029s%@TCL_LIB_SPEC@%$TCL_LIB_SPEC%g
1030s%@TCL_BUILD_LIB_SPEC@%$TCL_BUILD_LIB_SPEC%g
1031s%@TCL_STUB_LIB_SPEC@%$TCL_STUB_LIB_SPEC%g
1032s%@TCL_BUILD_STUB_LIB_SPEC@%$TCL_BUILD_STUB_LIB_SPEC%g
1033s%@TK_BIN_DIR@%$TK_BIN_DIR%g
1034s%@TK_SRC_DIR@%$TK_SRC_DIR%g
1035s%@TK_LIB_FILE@%$TK_LIB_FILE%g
1036s%@TK_XINCLUDES@%$TK_XINCLUDES%g
1037s%@TCLSH_PROG@%$TCLSH_PROG%g
1038s%@ITCL_LIB_DIR@%$ITCL_LIB_DIR%g
1039s%@ITCL_SRC_DIR@%$ITCL_SRC_DIR%g
1040s%@ITK_LIB_DIR@%$ITK_LIB_DIR%g
1041s%@ITK_SRC_DIR@%$ITK_SRC_DIR%g
1042s%@IWIDGETS_SRC_DIR@%$IWIDGETS_SRC_DIR%g
1043
1044CEOF
1045EOF
1046
1047cat >> $CONFIG_STATUS <<\EOF
1048
1049# Split the substitutions into bite-sized pieces for seds with
1050# small command number limits, like on Digital OSF/1 and HP-UX.
1051ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1052ac_file=1 # Number of current file.
1053ac_beg=1 # First line for current file.
1054ac_end=$ac_max_sed_cmds # Line after last line for current file.
1055ac_more_lines=:
1056ac_sed_cmds=""
1057while $ac_more_lines; do
1058  if test $ac_beg -gt 1; then
1059    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1060  else
1061    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1062  fi
1063  if test ! -s conftest.s$ac_file; then
1064    ac_more_lines=false
1065    rm -f conftest.s$ac_file
1066  else
1067    if test -z "$ac_sed_cmds"; then
1068      ac_sed_cmds="sed -f conftest.s$ac_file"
1069    else
1070      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1071    fi
1072    ac_file=`expr $ac_file + 1`
1073    ac_beg=$ac_end
1074    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1075  fi
1076done
1077if test -z "$ac_sed_cmds"; then
1078  ac_sed_cmds=cat
1079fi
1080EOF
1081
1082cat >> $CONFIG_STATUS <<EOF
1083
1084CONFIG_FILES=\${CONFIG_FILES-"Makefile \
1085	iwidgets.tcl \
1086	pkgIndex.tcl"}
1087EOF
1088cat >> $CONFIG_STATUS <<\EOF
1089for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1090  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1091  case "$ac_file" in
1092  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1093       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1094  *) ac_file_in="${ac_file}.in" ;;
1095  esac
1096
1097  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1098
1099  # Remove last slash and all that follows it.  Not all systems have dirname.
1100  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1101  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1102    # The file is in a subdirectory.
1103    test ! -d "$ac_dir" && mkdir "$ac_dir"
1104    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1105    # A "../" for each directory in $ac_dir_suffix.
1106    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1107  else
1108    ac_dir_suffix= ac_dots=
1109  fi
1110
1111  case "$ac_given_srcdir" in
1112  .)  srcdir=.
1113      if test -z "$ac_dots"; then top_srcdir=.
1114      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1115  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1116  *) # Relative path.
1117    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1118    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1119  esac
1120
1121
1122  echo creating "$ac_file"
1123  rm -f "$ac_file"
1124  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1125  case "$ac_file" in
1126  *Makefile*) ac_comsub="1i\\
1127# $configure_input" ;;
1128  *) ac_comsub= ;;
1129  esac
1130
1131  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1132  sed -e "$ac_comsub
1133s%@configure_input@%$configure_input%g
1134s%@srcdir@%$srcdir%g
1135s%@top_srcdir@%$top_srcdir%g
1136" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1137fi; done
1138rm -f conftest.s*
1139
1140EOF
1141cat >> $CONFIG_STATUS <<EOF
1142
1143EOF
1144cat >> $CONFIG_STATUS <<\EOF
1145
1146exit 0
1147EOF
1148chmod +x $CONFIG_STATUS
1149rm -fr confdefs* $ac_clean_files
1150test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1151
1152